[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# GetDefaultLCLWidgetType

Gets the enumeration value representing the LCL platform for the current widgetset.

## Declaration

Source position: interfacebase.pp line 194

`function GetDefaultLCLWidgetType: TLCLPlatform;`

## Function result

TLCLPlatform enumeration value for the widgetset.

## Description

The return value is the LCLPlatform property in the WidgetSet variable when assigned and not using the NoGui widgetset. Otherwise, the value from the BuildLCLWidgetType variable is used in the return value.

## See also

TLCLPlatform |  | Represents the supported platforms for the LCL.
BuildLCLWidgetType |  | Gets the TLCLPlatform enumeration value for the current platform.